/***************************************************************************
 *   Copyright (C) 1999-2001 by Bernd Gehrmann                             *
 *   bernd@mail.berlios.de                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License, version 2       *
 *   as published by the Free Software Foundation.                         *
 *                                                                         *
 ***************************************************************************/

#ifndef _CONTENTSWIDGET_H_
#define _CONTENTSWIDGET_H_

#include <qsplitter.h>

class QListBox;
class QListBoxItem;
class QListView;
class QListViewItem;
class QTabWidget;


class ContentsWidget : public QSplitter
{
    Q_OBJECT
    
public: 
    ContentsWidget(QTabWidget *parent, const char *name);
    ~ContentsWidget();

signals:
    void gotoFile(const QString &url);
    void highlighted(const QString &url);

private slots:
    void overviewClicked(QListBoxItem *item);
    void detailsClicked(QListViewItem *item);
    void detailsContextMenuRequested();
    void onOverviewItem(QListBoxItem *item);
    void onDetailsItem(QListViewItem *item);
    void onOverviewViewport();
    void onDetailsViewport();
    void showBook(const QString &name);

private:
    void showEvent(QShowEvent *e);
    
    QTabWidget *tabParent;
    QListBox *overview;
    QListView *details;
};

#endif
