/***************************************************************************
 *   Copyright (C) 2001-2002 by Bernd Gehrmann                             *
 *   bernd@mail.berlios.de                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License, version 2       *
 *   as published by the Free Software Foundation.                         *
 *                                                                         *
 ***************************************************************************/

#include "richtextview.h"
#include "richtextfactory.h"
#include "global.h"
#include <qprocess.h>


RichtextView::RichtextView(QWidget *parent, const char *name)
    : QTextBrowser(parent, name)
{
    setMimeSourceFactory(new RichtextFactory);
}


RichtextView::~RichtextView()
{
}


void RichtextView::setSource(const QString &name)
{
    if (name.startsWith(_("http:"))) {
        QProcess proc(_("konqueror"));
        proc.addArgument(name);
        proc.start();
    } else if (name.startsWith(_("mailto:"))) {
        QProcess proc(_("kmail"));
        proc.addArgument(name.mid(7));
        proc.start();
    } else {
        QTextBrowser::setSource(name);
        emit wentToFile(source());
    }
}
