/***************************************************************************
 *   Copyright (C) 2001 by Bernd Gehrmann                                  *
 *   bernd@mail.berlios.de                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License, version 2       *
 *   as published by the Free Software Foundation.                         *
 *                                                                         *
 ***************************************************************************/

#ifndef _SEARCHWIDGET_H_
#define _SEARCHWIDGET_H_

#include <qvbox.h>

class QComboBox;


class SearchWidget : public QVBox
{
    Q_OBJECT
    
public:
    SearchWidget(QWidget *parent, const char *name);
    ~SearchWidget();

signals:
    void gotoFile(const QString &url);
    //    void highlighted(const QString &url);

private slots:
    void htdigClicked();
    void manpageClicked();
    void pydocClicked();
    void perldocClicked();
    void perlfaqClicked();

private:
    QComboBox *htdigCombo;
    QComboBox *operatorCombo;
    QComboBox *sortCombo;
    QComboBox *manpageCombo;
    QComboBox *methodCombo;
    QComboBox *scopeCombo;
    QComboBox *pydocCombo;
    QComboBox *perldocCombo;
    QComboBox *perlfaqCombo;
};

#endif // _SEARCHWIDGET_H_
