/***************************************************************************
 *   Copyright (C) 1999-2001 by Matthias Hoelzer-Kluepfel                  *
 *   hoelzer@kde.org                                                       *
 *   Copyright (C) 2001 by Bernd Gehrmann                                  *
 *   bernd@kdevelop.org                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License, version 2       *
 *   as published by the Free Software Foundation.                         *
 *                                                                         *
 ***************************************************************************/

#include <qdialog.h>
#include <qdom.h>
#include <qstringlist.h>

class QLabel;
class QProcess;
class QProgressBar;


class HtdigDialog : public QDialog
{
    Q_OBJECT

public:
    HtdigDialog(QWidget *parent=0, const char *name=0);
    ~HtdigDialog();

public:
    void parseTocFiles();
    void parseIndexFiles();
    bool createConfig();
    bool generateIndex();

private slots:
    void htdigExited();
    void htmergeExited();

private:
    void addCandidate(QString url);
    void parseTocDom(const QString &base, QDomElement &el, int level);
    void setFilesScanned(int s);
    void setFilesToDig(int d);
    void setFilesDigged(int d);
    void setState(int n);
    void done(int r);

    QLabel *filesLabel, *l1, *l2, *l3;
    QLabel *check1, *check2, *check3;
    QProgressBar *bar;

    QString indexdir;
    QStringList files;
    QProcess *proc;
    volatile int filesToDig, filesDigged, filesScanned;
    bool htdigRunning, htmergeRunning;
};
